#ifndef _DATA_TABLE_CLASS_		// this pair of lines prevents problems with
#define _DATA_TABLE_CLASS_		// potential multile definitions 

#define WANT_STREAM
#define WANT_MATH
								// (including a .h file twice or more by nesting)
#include <iostream>	// the C++ library cout and cin are in
#include <string>	// the C++ library defining the string variable type
#include <vector>	// the C++ library defining the vector STL class
#include <fstream>	// the C++ library for file stream I/O
#include "newmat.h"	// the basic NEWMAT header files
#include "newmatio.h"	// and the additional NEWMAT I/O files (for cout << matrix)

using namespace std;

class DataTable {		// define a class (data and procedures) called DataTable

public:	// in this version the innards are public
		// could be private if we add access functions
	vector< string > VarNames;
	int nVars, N;
	Matrix Data;

// constructor from a filename
DataTable(const char InputFileName[]);	// in DataTable.cp

// destructor for DataTable
~DataTable();	// in DataTable.cp


private:	// nothing private here at the moment
			// for full protection all innards would be private

};

#endif /* _DATA_TABLE_CLASS_ */
